Project

General

Profile

Backport #7880

Backport r39307 to Ruby 2.0.0

Added by drbrain (Eric Hodel) about 6 years ago. Updated about 6 years ago.

Status:
Closed
Priority:
Normal

Description

This fixes a bug in --user-install that attempts to place executables in the default directory which requires root permissions.


Related issues

Related to Ruby trunk - Bug #7779: embedded rubygems 2.0.0.rc.2 mangles --user-installClosed02/04/2013Actions

Associated revisions

Revision ccd431e2
Added by drbrain (Eric Hodel) about 6 years ago

  • backport r39307 from trunk. [Bug #7880]

  • lib/rubygems/installer.rb: Fixed placement of executables with
    --user-install. [ruby-trunk - Bug #7779]

  • test/rubygems/test_gem_installer.rb: Test for above.

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_0_0@39319 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 39319
Added by drbrain (Eric Hodel) about 6 years ago

  • backport r39307 from trunk. [Bug #7880]

  • lib/rubygems/installer.rb: Fixed placement of executables with
    --user-install. [ruby-trunk - Bug #7779]

  • test/rubygems/test_gem_installer.rb: Test for above.

History

#1

Updated by drbrain (Eric Hodel) about 6 years ago

  • Status changed from Open to Assigned
#2

Updated by mame (Yusuke Endoh) about 6 years ago

  • Assignee changed from mame (Yusuke Endoh) to drbrain (Eric Hodel)

drbrain, I believe you. Go ahead, thank you!

--
Yusuke Endoh mame@tsg.ne.jp

#3

Updated by drbrain (Eric Hodel) about 6 years ago

  • Status changed from Assigned to Closed
  • % Done changed from 0 to 100

This issue was solved with changeset r39319.
Eric, thank you for reporting this issue.
Your contribution to Ruby is greatly appreciated.
May Ruby be with you.


  • backport r39307 from trunk. [Bug #7880]

  • lib/rubygems/installer.rb: Fixed placement of executables with
    --user-install. [ruby-trunk - Bug #7779]

  • test/rubygems/test_gem_installer.rb: Test for above.

Also available in: Atom PDF